# Program to generate a scatter plot, data is read from a CSV file 

def read_CSV():
    """Function to read a CSV file and return two columns"""
    import numpy as np
     
    # Reads input file name 
    my_input_file = input("Type CSV file name => ")
    
    # Reads CSV file
    my_csv = np.genfromtxt (my_input_file, delimiter=",", skip_header = 1)

    # Gets each column from CSV file
    x = my_csv[:,0]
    y = my_csv[:,1]
    
    return x,y

def gen_scatter_plot1(x,y,x_label,y_label,title,output_file):
    """Function to generate scatter plot"""
    import matplotlib.pyplot as plt
    
    # Generates plot
    plt.scatter(x,y) 
    
    # Title
    plt.title(title)
    
    # X-axis label
    plt.xlabel(x_label)
    
    # Y-axis label
    plt.ylabel(y_label)
    
    # Grid
    plt.grid(True)

    # Shows plot
    plt.show()

    # Saves plot on png file
    plt.savefig(output_file)

def main():
    
    # Call read_CSV() function
    x,y = read_CSV()
    
    # Call gen_scatter_plot1()
    gen_scatter_plot1(x,y,"Diameter (cm)","R$","Pizza Price vs Diameter","pizza1.png")

main()